import type { SetupContext, Ref } from 'vue';
import type { LineSide, CodeReviewProps } from '../code-review-types';
export declare function useCodeReviewComment(reviewContentRef: Ref<HTMLElement>, props: CodeReviewProps, ctx: SetupContext): {
    commentLeft: Ref<number>;
    commentTop: Ref<number>;
    mouseEvent: {
        onMousemove: (e: MouseEvent) => void;
        onMouseleave: (e: MouseEvent) => void;
    } | {
        onMousemove?: undefined;
        onMouseleave?: undefined;
    };
    onCommentMouseLeave: (e: MouseEvent) => void;
    onCommentIconClick: (e: Event) => void;
    insertComment: (lineNumber: number, lineSide: LineSide, commentDom: HTMLElement) => void;
    removeComment: (lineNumber: number, lineSide: LineSide) => void;
};
